Package com.github.lgooddatepicker.optionalusertools

# Class DateInterval

java.lang.Object
com.github.lgooddatepicker.optionalusertools.DateInterval

public class DateInterval extends Object
DateInterval, This class represents an interval between two dates.

## Field Summary

Fields
Modifier and Type
Field
Description
`LocalDate`
`firstDate`
firstDate, This is the first date in the interval.
`LocalDate`
`lastDate`
lastDate, This is the last date in the interval.

## Constructor Summary

Constructors
Constructor
Description
`DateInterval()`
Constructor (Empty), This will create an empty DateInterval instance.
`DateInterval(LocalDate intervalStart, LocalDate intervalEnd)`
Constructor (Normal), This will create a date interval using the supplied dates.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isEmpty()`
isEmpty, This will return true if both dates are null.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### firstDate

public LocalDate firstDate
firstDate, This is the first date in the interval.

### lastDate

public LocalDate lastDate
lastDate, This is the last date in the interval.

## Constructor Details

### DateInterval

public DateInterval()
Constructor (Empty), This will create an empty DateInterval instance. An empty date interval has both dates set to null.

### DateInterval

public DateInterval(LocalDate intervalStart, LocalDate intervalEnd)
Constructor (Normal), This will create a date interval using the supplied dates.

## Method Details

### isEmpty

public boolean isEmpty()
isEmpty, This will return true if both dates are null. Otherwise, this returns false.